aboutsummaryrefslogtreecommitdiffstats
path: root/testing/rapidjson/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2017-02-25 23:48:25 +0100
committerJakub Jirutka <jakub@jirutka.cz>2017-02-26 00:24:04 +0100
commit4d6fb8f3de2679744b17c5d277f5317a832eec2d (patch)
tree910ed45137d5f4960368b94c5bbe84f2e6df1887 /testing/rapidjson/APKBUILD
parent1b6abd1c5d9a803e4b1dda9293b65f4f1a9316fd (diff)
downloadaports-4d6fb8f3de2679744b17c5d277f5317a832eec2d.tar.gz
aports-4d6fb8f3de2679744b17c5d277f5317a832eec2d.tar.bz2
aports-4d6fb8f3de2679744b17c5d277f5317a832eec2d.tar.xz
testing/rapidjson: new aport
http://rapidjson.org/ A fast JSON parser/generator for C++ with both SAX/DOM style API
Diffstat (limited to 'testing/rapidjson/APKBUILD')
-rw-r--r--testing/rapidjson/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/rapidjson/APKBUILD b/testing/rapidjson/APKBUILD
new file mode 100644
index 0000000000..d2ba3e260b
--- /dev/null
+++ b/testing/rapidjson/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Jakub Jirutka <jakub@jirutka.cz>
+# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
+# Note: This package contains only header files.
+pkgname=rapidjson
+pkgver=1.1.0
+pkgrel=0
+pkgdesc="A fast JSON parser/generator for C++ with both SAX/DOM style API"
+url="http://rapidjson.org/"
+arch="noarch"
+license="MIT"
+depends_dev="cmake"
+makedepends="$depends_dev"
+subpackages="$pkgname-dev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/miloyip/$pkgname/archive/v$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_VERBOSE_MAKEFILE=ON \
+ -DRAPIDJSON_BUILD_DOC=OFF \
+ -DRAPIDJSON_BUILD_EXAMPLES=OFF \
+ && make
+}
+
+package() {
+ cd "$builddir"
+
+ make install DESTDIR="$pkgdir" || return 1
+
+ # Remove examples and readme.
+ rm -Rf "$pkgdir"/usr/share
+}
+
+sha512sums="2e82a4bddcd6c4669541f5945c2d240fb1b4fdd6e239200246d3dd50ce98733f0a4f6d3daa56f865d8c88779c036099c52a9ae85d47ad263686b68a88d832dff rapidjson-1.1.0.tar.gz"